# Generated by Django PlanB 1.7 (Django 2.2.12) on 2020-05-05 14:19

import django
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('planb', '0015_fileset_storage'),
    ]

    operations = [
        migrations.AddField(
            model_name='fileset',
            name='blacklist_hours',
            field=models.CharField(blank=True, help_text='Specify hours during which backups are disabled using notation h,h-h or none to disable blacklist hours. When left empty the hostgroup blacklist hours are used.', max_length=31, validators=[django.core.validators.RegexValidator('^((\\d+(?:-\\d+)?,?)*|none)$', message='Enter a valid value like 2,9-17 or none to disable blacklist hours')], verbose_name='Blacklist hours'),
        ),
        migrations.AddField(
            model_name='fileset',
            name='retention',
            field=models.CharField(blank=True, help_text='The backup retention period using notation <n><period> separated by comma: 1y,6m,3w,15d. When left empty the hostgroup retention periods are used.', max_length=31, validators=[django.core.validators.RegexValidator('^(\\d+[ymwdh],?)*$', message='Enter a valid value like 6m,4w,7d')]),
        ),
        migrations.AddField(
            model_name='hostgroup',
            name='notes',
            field=models.TextField(blank=True, help_text='Description, guidelines and agreements for the hostgroup.'),
        ),
        migrations.AddField(
            model_name='hostgroup',
            name='blacklist_hours',
            field=models.CharField(blank=True, help_text='Specify hours during which backups are disabled using notation h,h-h or none to disable blacklist hours. When left empty the system blacklist hours are used.', max_length=31, validators=[django.core.validators.RegexValidator('^((\\d+(?:-\\d+)?,?)*|none)$', message='Enter a valid value like 2,9-17 or none to disable blacklist hours')], verbose_name='Blacklist hours'),
        ),
        migrations.AddField(
            model_name='hostgroup',
            name='retention',
            field=models.CharField(blank=True, help_text='The backup retention period using notation <n><period> separated by comma: 1y,6m,3w,15d. When left empty the system retention periods are used.', max_length=31, validators=[django.core.validators.RegexValidator('^(\\d+[ymwdh],?)*$', message='Enter a valid value like 6m,4w,7d')]),
        ),
    ]
